$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url   = 'https://github.com/qjfoidnh/BaiduPCS-Go/releases/download/v3.9.3/BaiduPCS-Go-v3.9.3-windows-x86.zip'
$url64 = 'https://github.com/qjfoidnh/BaiduPCS-Go/releases/download/v3.9.3/BaiduPCS-Go-v3.9.3-windows-x64.zip'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64
  checksum      = 'a2e604454ab8413ff0ed0957f57915d51056489f4b8888c3b2dd7c569a627dc1'
  checksumType  = 'sha256'
  checksum64    = '4898910858e6e18669e7182aec76e8a18a711d367d920262560e0eec0a09c4bc'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs